<?php

namespace FM\Service;

use FM\Factory\Fm0000000HistoricoTransferenciaFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;

class Fm0000000HistoricoTransferenciaService
{

    protected $HistoricoTransferenciaFactory;
    protected $Environment;
    protected $newCode;

    public function __construct(EntityManager $entityManager, Fm0000000HistoricoTransferenciaFactory $HistoricoTransferenciaFactory, Environment $Environment, NewCode $newCode)
    {
        $this->HistoricoTransferenciaFactory  = $HistoricoTransferenciaFactory;
        $this->connection                     = $entityManager->getConnection();
        $this->Environment                    = $Environment;
        $this->newCode                        = $newCode;
    }

    public function getHistoricoVistorias()
    {
        return $this->HistoricoTransferenciaFactory->getHistoricoVistorias();
    }

    public function getHistoricoTarefas()
    {
        return $this->HistoricoTransferenciaFactory->getHistoricoTarefas();
    }
}
